Constants (Apache Tomcat 11.0.24 API Documentation)
Description: declaration: package: org.apache.tomcat.util.descriptor.web, class: Constants

# Class Constants

java.lang.Object
org.apache.tomcat.util.descriptor.web.Constants

public class Constants extends Object
Constants for web descriptor utilities.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `COOKIE_COMMENT_ATTR`
  Cookie Comment attribute name.
  `static final String`
  `COOKIE_DOMAIN_ATTR`
  Cookie Domain attribute name.
  `static final String`
  `COOKIE_HTTP_ONLY_ATTR`
  Cookie HttpOnly attribute name.
  `static final String`
  `COOKIE_MAX_AGE_ATTR`
  Cookie Max-Age attribute name.
  `static final String`
  `COOKIE_PARTITIONED_ATTR`
  The name of the attribute used to indicate a partitioned cookie as part of CHIPS.
  `static final String`
  `COOKIE_PATH_ATTR`
  Cookie Path attribute name.
  `static final String`
  `COOKIE_SAME_SITE_ATTR`
  Cookie SameSite attribute name.
  `static final String`
  `COOKIE_SECURE_ATTR`
  Cookie Secure attribute name.
  `static final String`
  `PACKAGE_NAME`
  Package name for web descriptor utilities.
  `static final String`
  `WEB_XML_LOCATION`
  Default location of the web.xml deployment descriptor.

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PACKAGE_NAME

    public static final String PACKAGE_NAME
    Package name for web descriptor utilities.

  - ### WEB_XML_LOCATION

    public static final String WEB_XML_LOCATION
    Default location of the web.xml deployment descriptor.
    See Also:
      - Constant Field Values

  - ### COOKIE_COMMENT_ATTR

    public static final String COOKIE_COMMENT_ATTR
    Cookie Comment attribute name.
    See Also:
      - Constant Field Values

  - ### COOKIE_DOMAIN_ATTR

    public static final String COOKIE_DOMAIN_ATTR
    Cookie Domain attribute name.
    See Also:
      - Constant Field Values

  - ### COOKIE_MAX_AGE_ATTR

    public static final String COOKIE_MAX_AGE_ATTR
    Cookie Max-Age attribute name.
    See Also:
      - Constant Field Values

  - ### COOKIE_PATH_ATTR

    public static final String COOKIE_PATH_ATTR
    Cookie Path attribute name.
    See Also:
      - Constant Field Values

  - ### COOKIE_SECURE_ATTR

    public static final String COOKIE_SECURE_ATTR
    Cookie Secure attribute name.
    See Also:
      - Constant Field Values

  - ### COOKIE_HTTP_ONLY_ATTR

    public static final String COOKIE_HTTP_ONLY_ATTR
    Cookie HttpOnly attribute name.
    See Also:
      - Constant Field Values

  - ### COOKIE_SAME_SITE_ATTR

    public static final String COOKIE_SAME_SITE_ATTR
    Cookie SameSite attribute name.
    See Also:
      - Constant Field Values

  - ### COOKIE_PARTITIONED_ATTR

    public static final String COOKIE_PARTITIONED_ATTR
    The name of the attribute used to indicate a partitioned cookie as part of CHIPS. This cookie attribute is not defined by an RFC and may change in a non-backwards compatible way once equivalent functionality is included in an RFC.
    See Also:
      - Constant Field Values